Subject: RE: [mobile-ip] Fast Handover draft: proposed revisions

From: Singh Ajoy-ASINGH1 <[email-masked]>
Date: Fri, 12 Jul 2002 14:01:26 -0500

Hello Vijay,
We have implemented FMIPv4 in our prototype 3G Cellular testbed. 
We have implemented both source as well as target triggers required 
to support Post-Reg (FMIPv4 version of BETH). So, I do not understand 
why are you complaining about L2 triggers? BTW, can you explain how 
can you implement FMIPv6 without using Link layer triggers?
regards,
ajoy 

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Friday, July 12, 2002 12:26 PM
To: Vijay Devarapalli
Cc: Rajeev Koodli; [email-masked]
Subject: Re: [mobile-ip] Fast Handover draft: proposed revisions

> > In particular, Section 3.3 and 3.4 were dropped from the draft. These
are critical
> > for describing how Postregv6 (aka BETH)
> > can be implemented. If there is some problem with too much reference to
L2
>
> Section 3.3 and 3.4 also critically depend on L2 triggers to work.
> BTW, I still havent figured out how to implement L2 triggers on our
> testbed. I dont see FMIPv6 draft moving forward unless the L2 triggers
> draft becomes a standard. right?? and the L2 triggers document does
> not even have a permanent home (WG).
>

If you want to know how to implement L2 triggers, either I or Jon Wood can
help you. I implemented them on the Solaris
emulator and Jon on our Linux/BSD emulator. Jon is also in the process of
implementing L2 triggered 802.11 handover, in a
manner that is consistent with the 802.11 spec and doesn't depend on
proprietary extensions.

        jak

---

From: Vijay Devarapalli <[email-masked]>
Date: Fri, 12 Jul 2002 12:08:14 -0700

Ajoy,

you got me wrong. I am not against using L2 triggers. I know you
need them to get the most optimized handovers. but we also need
a generic FMIPv6 solution (I dont know how manys times I have
said this now) that does not depend on L2 triggers. we need an
RFC soon (dont you?).

Vijay